package com.autentia.adictosaltrabajo.gae.servlet;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.autentia.adictosaltrabajo.gae.persistence.TutorialUtils;

public class TutorialServlet extends HttpServlet {

	private static final long serialVersionUID = -6544228691105449366L;

	private static final String NAVIGATION = "/tutoriales.jsp"; 
	
	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		this.doPost(req, resp);
	}

	@Override
	protected void doPost(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		this.insert(req.getParameter("autor"), req.getParameter("tutorial"));
		resp.sendRedirect(NAVIGATION);
	}
	
	private void insert (final String autor, final String tutorial) {
		TutorialUtils.insert(autor, tutorial);
	}
}
