<%@ page contentType="text/html;charset=UTF-8" language="java"%>
<%@ page import="com.autentia.adictosaltrabajo.gae.persistence.Tutorial"%>
<%@ page import="com.autentia.adictosaltrabajo.gae.persistence.TutorialUtils"%>
<%@ page import="java.util.List"%>

<html>
<head>
	<title>adictosaltrabajo.con - GAE</title>
	<link rel="stylesheet" href="css/estilos.css">
</head>
<body>

	<div id="header">
		<img src="img/appengine_lowres.gif"></img>
		<img src="img/logo_adictos_7.jpg"></img>
	</div>
	
	<div id="listado">
		<h2>Últimos 10 tutoriales</h2>
			<%
				List<Tutorial> tutoriales = TutorialUtils.getEntries();
				if (tutoriales.isEmpty()) {
			%>
				No hay ningún tutorial publicado
			<%
				} else {
					for (Tutorial tutorial : tutoriales) {
			%>
				<p>- '<%=tutorial.getTutorial()%>' de <i><%=tutorial.getAutor()%></i>, publicado el <%=tutorial.getFechaFormatted()%></p>
			<%
					}
				}
			%>
	</div>
	
	<div id="publicar">
		<h2>Nuevo tutorial</h2>
		<form action="/tutoriales" method="post">
			<p>- Nombre del tutorial: <input name="tutorial"></p>
			<p>- Autor: <input name="autor"></p>
			<p><input type="submit" value="Enviar"></p>
		</form>
	</div>
</body>
</html>
